# 64bit spec-file
#
# PCLinuxOS Copyright by Bill Reynolds (Texstar)

%define name		wallpaper-theme-default
%define pname		PCLinuxOS-64
%define version		1.1
%define release		%mkrel 2

Name:			%{name}
Version:		%{version}
Release:		%{release}
Summary:		PCLinuxOS Default Wallpaper Theme
URL:			http://www.pclinuxos.com
Group:			Graphical desktop/KDE4
License:		GPL v3
Source:			%{name}-%{version}.tar.xz
BuildRequires: 		kde-workspace-core
Requires:		kde-workspace-core
BuildRoot:		%{_tmppath}/%{name}-%{version}-%{release}

%description
%{summary}

%prep
%setup -qn %{pname}

%install
%__rm -rf %buildroot

install -d -m 755 %buildroot%{_datadir}/wallpapers/%{pname}
cp -fr * %buildroot%{_datadir}/wallpapers/%{pname}

%post
/sbin/ldconfig
rm -rf /var/tmp/kdecache-*/plasma-wallpapers
cd %{_datadir}/wallpapers/
[ ! -d Default ] && mkdir Default || rm -rf Default && mkdir Default
cd Default
cat > metadata.desktop << "EOF"
[Desktop Entry]
Name=Default
EOF
ln -s ../%{pname}/contents contents

%postun
/sbin/ldconfig

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root,-)
%{_datadir}/wallpapers/%{pname}/*
%dir %{_datadir}/wallpapers/%{pname}

%changelog
* Tue Jul 16 2013 Texstar <texstar at gmail.com> 1.1-2pclos2013
- fix rpm group

* Wed Mar 27 2013 pinoc <vogtpet at gmail.com> 1.1-1pclos2013
- new images for final 64
- added post to set to Default so it complies with kde4-config

* Tue Jul 17 2012 Neal <nealbrks0 at gmail dot com> 1.0-1pclos2012
- process

* Tue Jul 17 2012 Archie Arevalo <pclinuxos.ph at gmail.com> 1.0-1_archie_2012
- Create package
